Update contact information on announcement pages
Closed, ResolvedPublic

Description

The list of press contacts that appear on each announcement page (example) contains some contacts that don't seem to be very active in Promo any more.

We need to make sure those names, addresses, and phone numbers are up to date and that enquiries from journalists are discussed and answered on message.

Updating the Contact List

  • Get in touch with the current contacts
    • Email contacts Pradeepto, Jeff, AJ, and Hamish
  • Ask if they want to still be appear as contacts

Received no answers, except from @sandroandrade and @sebas , who both agree that the detailed info on the templates is not worth it at the moment (see below). We also invited the other four contacts to join the Promo Telegram and ITC channels and, as far as I know, they have not done so. This would indicate we can remove their details without offending them.

  • Modify template accordingly
  • Include generic address for geographic regions which are not covered (?)

"its currently configured to only notify at 0800Z, as the volume of spam to genuine is so low ben set it to that but could be changed"

Fielding Requests for Information

  • Subscribe members of PR subgroup to kde-pr mailing list (see T8258)
  • Invite contacts on template to participate in Promo

Future Task

It will make sense in the future have personalised contacts, when we manage to drum up enough interest in KDE in the main stream media. When we receive a voluminous number of enquiries. it will make sense to assign a person to each geographical region to handle each enquiry.

Related Objects

duffus closed this task as Invalid.Jun 28 2018, 10:15 PM
duffus added a subscriber: duffus.

As I explained at the sprint they all do already go to a mailing list and Ivana is subscribed to it as she ask to be added. If there are other suitable people who want added they can be as well

paulb reopened this task as Open.Jun 28 2018, 10:59 PM

We don't want an Info-* address. People steer clear from those. Plus the rest of the task is valid, since, as far as I can see, the details for contacts still appear on announcement pages. Until that changes, this task is not solved or invalid.

paulb updated the task description. (Show Details)Jun 29 2018, 10:15 AM
paulb updated the task description. (Show Details)Jun 29 2018, 10:17 AM

@duffus , can you subscribe @IlyaBizyaev and @davidc to the kde-pr mailing list?

paulb updated the task description. (Show Details)Jun 29 2018, 10:18 AM

@duffus, would you like to get in touch with these people or should I? I don't know any of them or their emails, except for those of @sandroandrade and @sebas . If you would like me to email them, could you point me towards where I can find their addresses?

duffus added a comment.Jul 2 2018, 8:35 AM
In T9095#149390, @paulb wrote:

@duffus, would you like to get in touch with these people or should I? I don't know any of them or their emails, except for those of @sandroandrade and @sebas . If you would like me to email them, could you point me towards where I can find their addresses?

you are welcome to contact them, I normally use the search feature in identity to lookup addresses

https://identity.kde.org/index.php?r=people/view&uid=ajventer
https://identity.kde.org/index.php?r=people/view&uid=pradeepto
https://identity.kde.org/index.php?r=people/view&uid=rodda
https://identity.kde.org/index.php?r=people/view&uid=mitchell

Okay. Thanks for the info, @duffus .

I was thinking that, as you obviously care about this matter, you might've wanted to take charge of at least this part of the task. Also, as I don't know them and, I assume, they me, it would be jarring to receive an email from a complete stranger enquiring about this. But, sure, I'll do it.

duffus added a comment.Jul 2 2018, 9:37 AM

I'm kind of busy with Akademy which is only a few weeks away now :-)

paulb updated the task description. (Show Details)Jul 2 2018, 12:54 PM
paulb updated the task description. (Show Details)Jul 2 2018, 1:20 PM
paulb updated the task description. (Show Details)Jul 2 2018, 4:51 PM
paulb updated the task description. (Show Details)
duffus updated the task description. (Show Details)Jul 3 2018, 9:49 AM
duffus updated the task description. (Show Details)Jul 3 2018, 9:51 AM
paulb added a comment.EditedJul 11 2018, 6:32 PM

I got no response Pradeepto, Jeff, AJ, and Hamish, @sandroandrade says he doesn't mind having his contact info removed, and @sebas said volume of contacts is very low.

So as not to have this drag on too long, I suggest we go with the original plan, leave a generic email for contacts, an email that points to the PR mailing list, for the time being. Meanwhile, we can continue developing our plan to drum interest for KDE in the media and when it makes sense or we have the resources, we can provide personalised contacts per geographical region.

paulb updated the task description. (Show Details)Jul 11 2018, 6:33 PM
In T9095#150847, @paulb wrote:

I got no response Pradeepto, Jeff, AJ, and Hamish, @sandroandrade says he doesn't mind having his contact info removed, and @sebas said volume of contacts is very low.

So as not to have this drag on too long, I suggest we go with the original plan, leave a generic email for contacts, an email that points to the PR mailing list, for the time being. Meanwhile, we can continue developing our plan to drum interest for KDE in the media and when it makes sense or we have the resources, we can provide personalised contacts per geographical region.

Some people being slow to read the email is already covered by it going to the mailing list the value added parts of the region contacts is the phone and to a lesser extent snail mail (it probably is more useful in that it gives a location rather than specific address)

So I think the important thing is whether the phone numbers work. Them not working is much more serious when being listed

In T9095#150847, @paulb wrote:

I got no response Pradeepto, Jeff, AJ, and Hamish, @sandroandrade says he doesn't mind having his contact info removed, and @sebas said volume of contacts is very low.

So as not to have this drag on too long, I suggest we go with the original plan, leave a generic email for contacts, an email that points to the PR mailing list, for the time being. Meanwhile, we can continue developing our plan to drum interest for KDE in the media and when it makes sense or we have the resources, we can provide personalised contacts per geographical region.

Some people being slow to read the email is already covered by it going to the mailing list the value added parts of the region contacts is the phone and to a lesser extent snail mail (it probably is more useful in that it gives a location rather than specific address)

So I think the important thing is whether the phone numbers work. Them not working is much more serious when being listed

Would you like to phone them and check they are working? I'm guessing it won't take more than an hour. You will have to take into consideration the time differences. I wouldn't be a good idea to phone someone at 3 am! Maybe report back tomorrow with which ones work and which ones don't and we can take it from there.

paulb updated the task description. (Show Details)Jul 17 2018, 11:22 AM

I suggest sending an SMS over calling. It's less intrusive, gives people a chance to respond at their own time and will probably cost less also. =)

paulb updated the task description. (Show Details)Jul 21 2018, 10:18 AM
duffus updated the task description. (Show Details)Jul 21 2018, 1:16 PM

I assume the mailman settings tickbox was filled by mistake?

I assume the mailman settings tickbox was filled by mistake?

Maybe... I talked to Ben. he said that needed changing. Does it?

I told you it needed changing, but only after we get new moderators

What's wrong with the current moderators? I understand you are one and Ben said he was the other. He seemed okay with continuing with that role.

And please moderate your tone. I tend not to respond well to sentences that start with the words "I told you".

In T9095#152251, @paulb wrote:

And please moderate your tone. I tend not to respond well to sentences that start with the words "I told you".

Well if you didn't keep "forgetting" things on this topic I wouldn't have to keep repeating my self

Ben said to me:

The mailing list kde-pr gets the same filtering that all other mail we handle gets.

What is different about this list though, is that it doesn't notify the list moderator when new mail comes in. It also forces all mail to be held for moderation.

We do this because essentially 99.99% of all the mail it gets is spam.

It gets moderated once a day so at worst a legitimate mail waits for 24 hours before someone gets to it.

He seemed okay with the notification set up. This is the reason I thought it didn't need changing and why I ticked the task as done.

P.S.: You are still doing this thing of being unacceptably rude. I am going to ask you again to please keep it civil.

paulb updated the task description. (Show Details)Aug 8 2018, 8:36 AM
paulb closed this task as Resolved.